MDL-58699 mod_quiz: Require javascript for popup
authorDamyon Wiese <damyon@moodle.com>
Tue, 7 Nov 2017 04:48:21 +0000 (12:48 +0800)
committerDamyon Wiese <damyon@moodle.com>
Tue, 7 Nov 2017 04:48:21 +0000 (12:48 +0800)
commit65c52e05d109f111f91dacfbe6ed00e8fa4bc234
tree505ef3f3de4807703834bf810dcd8d18678e3a10
parent159b4e5d8c773fc1c71cb97e728d05f4cbb9d49e
MDL-58699 mod_quiz: Require javascript for popup

If any of the access rules require the attempt to open in a new window, assume we
require javascript to attempt the quiz. This makes it harder to bypass the javascript
pseudo security restrictions.
mod/quiz/renderer.php
mod/quiz/styles.css